package com.chenyang.druid.sql.dialect.mariadb.ast.statement;

import com.chenyang.druid.sql.dialect.mariadb.ast.FullTextType;
import com.chenyang.druid.sql.dialect.mariadb.visitor.MariadbASTVisitor;

public class MariadbShowFullTextStatement extends MariadbStatementImpl implements MariadbShowStatement {
   private FullTextType type;

   public FullTextType getType() {
      return this.type;
   }

   public void setType(FullTextType type) {
      this.type = type;
   }

   public void accept0(MariadbASTVisitor visitor) {
      visitor.visit(this);
      visitor.endVisit(this);
   }
}
